Subject: Offline Message from Heather Rosenau: I would like to order the Steve McQueen
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 13 Jul 2020 01:23:06 -0000

From: Heather Rosenau <[email-masked]>
Phone: 
Location: , United Arab Emirates
URL: https://www.mumzworld.com/en/checkout/cart/
Department: 

I would like to order the Steve McQueen shoe, slip stop and also the Peace Junior slip stop both in size L. Do these have a reinforced toe? I know that slip stop had come out with a different toe on their shoes so want to make sure these have them before I order

----
Zopim
https://www.zopim.com